MENU

【Rails】「Could not load the ‘listen’ gem. Add `gem ‘listen’` to the development group of your Gemfile (LoadError)」 が出た時

出ました。
謎すぎました。


:
:
1: from /home/ec2-user/Hachiss_/shared/bundle/ruby/2.5.0/gems/bootsnap-1.4.8/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:23:in `block in require_with_bootsnap_lfi'
/home/ec2-user/Hachiss_/shared/bundle/ruby/2.5.0/gems/bootsnap-1.4.8/lib/bootsnap/load_path_cache/core_ext/kernel_require.rb:23:in `require': Could not load the 'listen' gem. Add `gem 'listen'` to the development group of your Gemfile (LoadError)

対処法は、



「config/environments/development.rb」ファイルの
「config.file_watcher = ActiveSupport::EventedFileUpdateChecker」という行をコメントアウトすれば解消されます!

  # Use an evented file watcher to asynchronously detect changes in source code,
  # routes, locales, etc. This feature depends on the listen gem.
  config.file_watcher = ActiveSupport::EventedFileUpdateChecker

これを、




「#」つけてコメントアウト!

  # Use an evented file watcher to asynchronously detect changes in source code,
  # routes, locales, etc. This feature depends on the listen gem.
  # config.file_watcher = ActiveSupport::EventedFileUpdateChecker

これでOKです!

よかったらシェアしてね!

この記事を書いた人

目次
閉じる